package com.wsk.travelf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.wsk.travelf.pojo.Admin;
import com.wsk.travelf.pojo.Role;

import java.util.List;

public interface RoleMapper extends BaseMapper<Role> {

    //查询用户拥有的所有角色的id
    List<Integer> findRoleIdByAdmin(Integer aid);

    //删除角色的所有权限
    void deleteRoleAllPermissions(Integer rid);

    //给角色添加权限
    void addRolePermission(Integer rid,Integer pid);



}
